/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.exception;

/**
 * A service assembly state is unknown. The value returned by the Petals ESB
 * kernel cannot be parsed.
 * 
 * @author Christophe Deneux - Linagora
 */
public class IllegalServiceAssemblyStateException extends DeploymentServiceErrorException {

    private static final long serialVersionUID = -2167993323611116969L;

    /**
     * The unknown state
     */
    private final String stateLabel;
    
    public IllegalServiceAssemblyStateException(final String stateLabel) {
        super("Unknown service assembly state: " + stateLabel);
        this.stateLabel = stateLabel;
    }

    /**
     * @return The unknown state
     */
    public String getStateLabel() {
        return this.stateLabel;
    }
}
