/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.component.se.flowable;

/**
 * <p>
 * Metrics associated to a database connection pool of the Petals SE Flowable.
 * </p>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface DatabaseConnectionPoolMetrics {

    /**
     * Get the max size of the idle connections that the pool accept
     */
    public Long getMaxIdleSize();

    /**
     * Get the max size of the active connections that the pool accept
     */
    public Long getMaxActiveSize();

    /**
     * Get the current number of active connections of the pool
     */
    public Long getActiveConnectionsSize();

    /**
     * Get the max number of active connections of the pool
     */
    public Long getActiveConnectionsMaxSize();

    /**
     * Get the current number of idle connections of the pool
     */
    public Long getIdleConnectionsSize();

    /**
     * Get the max number of idle connections of the pool
     */
    public Long getIdleConnectionsMaxSize();

}
