/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.component.soap;

/**
 * Available values for 'execution status' of web-service requests
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public enum WsRequestExecutionStatus {
    SUCCEEDED(WsRequestExecutionStatusString.SUCCEEDED), PENDING(
            WsRequestExecutionStatusString.PENDING), FAULT(
            WsRequestExecutionStatusString.FAULT), ERROR(
            WsRequestExecutionStatusString.ERROR);

    private final String value;

    private WsRequestExecutionStatus(final String value) {
        this.value = value;
    }

    @Override
    public String toString() {
        return this.value;
    }

    public static WsRequestExecutionStatus parse(final String value) {
        if (value != null) {
            for (final WsRequestExecutionStatus execStatus : WsRequestExecutionStatus.values()) {
                if (value.equalsIgnoreCase(execStatus.value)) {
                    return execStatus;
                }
            }
        }
        throw new IllegalArgumentException("Unknown ws-request execution status value: " + value);
    }
}