/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.container.transporter.local;

public interface DeliveredMessages {

    /**
     * Get the current number of pending messages delivered by the transporter.
     * 
     * @return The value. Not <code>null</code>
     */
    public long getPendingCounter();

    /**
     * Get the number of messages delivered successfully by the transporter.
     * 
     * @return The value. Not <code>null</code>
     */
    public long getSucceededCounter();

    /**
     * Get the number of messages delivered in error by the transporter.
     * 
     * @return The value. Not <code>null</code>
     */
    public long getErrorCounter();

}
