/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.container.transporter.local;

import org.ow2.petals.jmx.api.api.monitoring.container.transporter.local.exception.LocalTransporterMonitoringServiceErrorException;

/**
 * Interface of the JMX service providing local transporter monitoring metrics.
 * 
 * @author Christophe Deneux - Linagora
 */
public interface LocalTransporterMonitoringServiceClient {

    /**
     * Name of the associated MBean
     */
    public static final String LOCAL_TRANSPORTER_MONITORING_MBEAN_NAME = "LocalTransporterMonitoring";

    /**
     * Get the metric 'delivered messages'
     * 
     * @throws LocalTransporterMonitoringServiceErrorException
     */
    public DeliveredMessages getDeliveredMessage() throws LocalTransporterMonitoringServiceErrorException;
}
