/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.container.transporter.remote.exception;

import org.ow2.petals.jmx.api.api.monitoring.container.transporter.exception.TransporterMonitoringServiceErrorException;

/**
 * This exception is thrown if an error occurs when working with the TCP
 * transporter monitoring Service MBean.
 * 
 * @author Christophe Deneux - Linagora
 */
public class TcpTransporterMonitoringServiceErrorException extends TransporterMonitoringServiceErrorException {

    private static final long serialVersionUID = 7897293022882582727L;

    public TcpTransporterMonitoringServiceErrorException(final Throwable cause) {
        super(cause);
    }

    public TcpTransporterMonitoringServiceErrorException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
