/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.defect;

/**
 * <p>
 * A defect is described by:
 * </p>
 * <ul>
 * <li>a timestamp</li>
 * <li>a sequence number,</li>
 * <li>a type,</li>
 * <li>the id of the component emitter,</li>
 * <li>a message,</li>
 * <li>user data.</li>
 * </ul>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface Defect {

    public long getTimestamp();

    public long getSequenceNumber();

    public String getType();

    public String getEmitter();

    public String getMessage();

    public Object getUserData();

}
