/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.api.monitoring.object;


/**
 * <p>
 * Metrics associated to a basic object pool.
 * </p>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface ObjectPoolMetrics {

    /**
     * Get the current number of borrowed objects of the object pool
     * 
     * @return The value. Not <code>null</code>
     */
    public Long getBorrowedObjectNumber();

    /**
     * Get the max number of borrowed objects of the object pool
     * 
     * @return The value. Not <code>null</code>
     */
    public Long getBorrowedObjectMaxNumber();

    /**
     * Get the current number of idle objects of the object pool
     * 
     * @return The value. Not <code>null</code>
     */
    public Long getIdleObjectNumber();

    /**
     * Get the max number of idle objects of the object pool
     * 
     * @return The value. Not <code>null</code>
     */
    public Long getIdleObjectMaxNumber();

}
